> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List aggregated testing-lab results (Cekura test_framework/v1/results)



## OpenAPI

````yaml get /api/v1/testing-lab/results
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/testing-lab/results:
    get:
      tags:
        - Testing Lab
      summary: List aggregated testing-lab results (Cekura test_framework/v1/results)
      parameters:
        - schema:
            type: string
          required: true
          name: agentId
          in: query
        - schema:
            type: string
          required: false
          name: page
          in: query
        - schema:
            type: string
          required: false
          name: page_size
          in: query
        - schema:
            type: string
          required: false
          name: timestamp_from
          in: query
        - schema:
            type: string
          required: false
          name: timestamp_to
          in: query
      responses:
        '200':
          description: Results retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CekuraResultsListResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Agent not found or not connected to Cekura
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    CekuraResultsListResponse:
      type: object
      properties:
        count:
          type: number
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/CekuraResultListItem'
      required:
        - results
    CekuraResultListItem:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
          nullable: true
        agent:
          type: number
          nullable: true
        agent_name:
          type: string
          nullable: true
        agent_inbound:
          type: boolean
        status:
          type: string
          nullable: true
        success_rate:
          type: number
          nullable: true
        run_as_text:
          type: boolean
        is_cronjob:
          type: boolean
        runs:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              status:
                type: string
                nullable: true
              scenario:
                type: number
                nullable: true
              number:
                type: string
                nullable: true
              inbound_number:
                type: string
                nullable: true
              scenario_name:
                type: string
                nullable: true
              test_profile_name:
                type: string
                nullable: true
            required:
              - id
        met_expected_outcome_count:
          type: number
        total_expected_outcome_count:
          type: number
        total_runs_count:
          type: number
        completed_runs_count:
          type: number
        success_runs_count:
          type: number
        failed_runs_count:
          type: number
        scenarios:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              name:
                type: string
                nullable: true
            required:
              - id
        run_type:
          type: string
          nullable: true
        created_at:
          type: string
          nullable: true
        updated_at:
          type: string
          nullable: true
      required:
        - id
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````